Summary:	Spreadsheet Calculator
Name:		sc
Version:	6.21
Release: 	alt2
License:	PD
Group:		Sciences/Mathematics

Packager:	Alexey Voinov <voins@altlinux.ru>

Source0:	%name-%version.tar.bz2
Source1:	%name.menu
Patch0:		sc_6.21-10.diff.gz
Patch1:		sc-6.21-tobuild.patch.bz2


# Automatically added by buildreq on Sun Oct 27 2002
BuildRequires: libncurses-devel libtinfo-devel

%description
 This is a much modified version of the public domain spread sheet sc,
which was posted to Usenet several years ago by Mark Weiser as vc,
originally by James Gosling. It is based on rectangular table much
like a financial spreadsheet.

%prep
%setup
%patch -p1
%patch1 -p1

%build
make

%install
%__install -m755 -p -D %name $RPM_BUILD_ROOT%_bindir/%name
%__install -m755 -p -D %{name}qref $RPM_BUILD_ROOT%_bindir/%{name}qref
%__install -m755 -p -D p%name $RPM_BUILD_ROOT%_bindir/p%name
%__install -m644 -p -D %name.1 $RPM_BUILD_ROOT%_man1dir/%name.1
%__install -m644 -p -D p%name.1 $RPM_BUILD_ROOT%_man1dir/p%name.1
%__install -m644 -p -D %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files 
%doc CHANGES README SUMS VMS_NOTES tutorial.sc
%_bindir/*
%_man1dir/*
%_menudir/*

%changelog
* Sun Oct 27 2002 Alexey Voinov <voins@voins.program.ru> 6.21-alt2
- rebuilt with gcc3.2
- spec cleanup
- buildreq updated


* Sat May 19 2001 Alexey Voinov <voins@voins.program.ru> 
- initial build (source and patch from debian)

